moovexDocs

Get passengers

Retrieve paginated list of passengers.

GET/passengers

Query Parameters

ParameterTypeRequiredDescription
sortstringNoSort by field:asc/desc Allowed: asc, desc
type"default""student""employee"
idsstring[]NoPassenger ids to include
excludeIdsstring[]NoPassenger ids to exclude
profilesstring[]NoProfiles filter
limitnumberYes-
pagenumberYes-
searchstringNo-

Example Response

{
  "page": 1,
  "limit": 20,
  "totalPages": 1,
  "totalResults": 2,
  "records": [
    {
      "id": 10,
      "firstName": "Alice",
      "lastName": "Smith",
      "email": "alice.smith@example.com",
      "phone": "+15551234567",
      "activeSince": 1700000000,
      "baseAddress": "123 Main St",
      "occupationAddress": "456 Work Ave",
      "alternateAddress": "789 Alt Rd",
      "profile": "Student",
      "supplier": "School",
      "createdBy": "Admin",
      "createdAt": 1700000000,
      "type": "student",
      "tags": [
        {
          "key": "tier",
          "value": "gold"
        }
      ]
    }
  ]
}

On this page